Bug 1279132 - Upgrade Process in Documentation.
Upgrade Process in Documentation.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Docs Install Guide (Show other bugs)
6.1.3
x86_64 Linux
urgent Severity urgent (vote)
: GA
: 6.2
Assigned To: satellite-doc-list
satellite-doc-list
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-07 21:14 EST by jnikolak
Modified: 2016-04-27 19:41 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-27 19:41:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jnikolak 2015-11-07 21:14:58 EST
Document URL: https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/6.1/html/Installation_Guide/chap-Red_Hat_Satellite-Installation_Guide-Upgrading_Red_Hat_Satellite_Server_and_Capsule_Server.html

Describe the issue: 

There is no verification for the commands that are provided.


i.e yum repolist enabled
for instance in my case, I didnt have any Satellite subscriptions. 
This could be the customer case also.

Therefore, you should refer customer to attach the satellite entitlement.

We should have a verification command once customer attaches subs, to ensure that it got added successfully. This helps to narrow down any 3rd party repos here also.


In addition to that.
For the part service tomcat stop. (only redhat server)

Why don't we list service tomcat6 stop for rhel 6?

Where are the verification command to ensure all service stopped?
This could lead to customer upgrading while still some services active?
Comment 1 jnikolak 2015-11-07 21:39:29 EST
One more part.
########3
If you have made manual edits to DNS and DHCP configuration files, they will be overwritten during the upgrade process. To avoid this, you can add the --capsule-dns-managed=false and --capsule-dhcp-managed=false options to the --upgrade installer command. This will keep DNS and DHCP configuration untouched until you set them to managed=true again.
######
This part is not clear, I didnt make any changes, apart from katello-installer dhcp options.

Is this only referring to, if you made changes to vi /var/named/dynamic directory?

Do you need to back them up, run katello-installer --upgrade with false.
Re-add the changes, then run katello-installer --upgrade with true.

We need some clarification here, exactly what needs to be done.
Comment 19 Andrew Dahms 2015-11-25 22:23:02 EST
Assigning Russell as the QA contact.

Russell - would you be able to take a look at the changes for this bug?
Comment 23 Andrew Dahms 2016-04-27 19:41:40 EDT
This content is now live on the Customer Portal.

Closing.

Note You need to log in before you can comment on or make changes to this bug.